Bug 193680 - "standby" / freeze does not take
"standby" / freeze does not take
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 12:40 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 13:24:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-05-31 12:40:32 EDT
Description of problem:

On dual proc athlon system, echo standby > /sys/power/state attempts to freeze
the cpus, but it doesn't stick.

Logs:

May 31 10:21:12 vault kernel: Freezing cpus ...
May 31 10:21:12 vault kernel: Breaking affinity for irq 0
May 31 10:21:12 vault kernel: Breaking affinity for irq 3
May 31 10:21:12 vault kernel: Breaking affinity for irq 4
May 31 10:21:12 vault kernel: Breaking affinity for irq 5
May 31 10:21:12 vault kernel: Breaking affinity for irq 7
May 31 10:21:12 vault kernel: Breaking affinity for irq 8
May 31 10:21:12 vault kernel: Breaking affinity for irq 9
May 31 10:21:12 vault kernel: Breaking affinity for irq 11
May 31 10:21:12 vault kernel: Breaking affinity for irq 12
May 31 10:21:12 vault kernel: Breaking affinity for irq 13
May 31 10:21:12 vault kernel: Breaking affinity for irq 15
May 31 10:21:12 vault kernel: Breaking affinity for irq 17
May 31 10:21:12 vault kernel: Breaking affinity for irq 19
May 31 10:21:12 vault kernel: Breaking affinity for irq 20
May 31 10:21:12 vault kernel: Breaking affinity for irq 21
May 31 10:21:12 vault kernel: CPU 1 is now offline
May 31 10:21:19 vault kernel: CPU1 is down
May 31 10:21:19 vault kernel: Stopping tasks:
===========================================
========================================|
May 31 10:21:19 vault kernel: psmouse.c: bad data from KBC - timeout bad parity
May 31 10:21:19 vault kernel: psmouse.c: bad data from KBC - timeout bad parity
May 31 10:21:19 vault kernel: pnp: Device 00:0c disabled.
May 31 10:21:19 vault kernel: pnp: Device 00:0a disabled.
May 31 10:21:19 vault kernel: pnp: Device 00:09 disabled.
May 31 10:21:19 vault kernel: pnp: Device 00:08 disabled.
May 31 10:21:19 vault kernel: ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 21
(level, low)
-> IRQ 19
May 31 10:21:19 vault kernel: ACPI: PCI Interrupt 0000:00:09.1[B] -> GSI 22
(level, low)
-> IRQ 20
May 31 10:21:20 vault kernel: ACPI: PCI Interrupt 0000:00:09.2[C] -> GSI 23
(level, low)
-> IRQ 21
May 31 10:21:20 vault kernel: usb usb3: root hub lost power or was reset
May 31 10:21:20 vault kernel: ehci_hcd 0000:00:09.2: USB 2.0 started, EHCI 0.95,
driver 1
0 Dec 2004
May 31 10:21:20 vault kernel: ACPI: PCI Interrupt 0000:02:00.0[D] -> GSI 19
(level, low)
-> IRQ 18
May 31 10:21:20 vault kernel: ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 17
(level, low)
-> IRQ 16
May 31 10:21:20 vault kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 18
(level, low)
-> IRQ 17
May 31 10:21:20 vault kernel: ACPI: PCI Interrupt 0000:02:06.0[A] -> GSI 17
(level, low)
-> IRQ 16
May 31 10:21:20 vault kernel: pnp: Device 00:08 activated.
May 31 10:21:20 vault kernel: pnp: Device 00:09 activated.
May 31 10:21:20 vault kernel: pnp: Device 00:0a activated.
May 31 10:21:20 vault kernel: pnp: Device 00:0b does not supported activation.
May 31 10:21:20 vault kernel: pnp: Device 00:0c activated.
May 31 10:21:20 vault kernel: e100: eth0: e100_watchdog: link up, 100Mbps,
full-duplex
May 31 10:21:20 vault kernel: Restarting tasks... done
May 31 10:21:20 vault kernel: Thawing cpus ...
May 31 10:21:20 vault kernel: Booting processor 1/1 eip 3000
May 31 10:21:20 vault kernel: CPU 1 irqstacks, hard=c0422000 soft=c0402000
May 31 10:21:20 vault kernel: Initializing CPU#1
May 31 10:21:20 vault kernel: Debug: sleeping function called from invalid
context at mm/
page_alloc.c:925
May 31 10:21:20 vault kernel: in_atomic():0, irqs_disabled():1
May 31 10:21:20 vault kernel:  [<c014ab06>] __alloc_pages+0x31/0x27a    
[<c014adb1>] get
_zeroed_page+0x31/0x3d
May 31 10:21:20 vault kernel:  [<c0109892>] cpu_init+0x101/0x310    
[<c01160f6>] start_s
econdary+0xc/0x3ca
May 31 10:21:20 vault kernel:  [<c011651f>] cpu_exit_clear+0x22/0x4b    Leaving
ESR disab
led.
May 31 10:21:20 vault kernel: Calibrating delay using timer specific routine..
2823.22 Bo
goMIPS (lpj=5646441)
May 31 10:21:20 vault kernel: CPU: Vendor unknown, using generic init.
May 31 10:21:20 vault kernel: CPU: Your system may be unstable.
May 31 10:21:20 vault kernel: CPU1: AuthenticAMD AMD Athlon(TM) MP 1600+ stepping 02
May 31 10:21:20 vault kernel: CPU1 is up


Version-Release number of selected component (if applicable):
2.6.16-1.2122_FC5smp

How reproducible:
every time
Comment 1 Dave Jones 2006-10-16 15:40:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Orion Poplawski 2006-10-17 18:59:31 EDT
Still doesn't go into standby:

Oct 17 16:55:58 vault kernel: Disabling non-boot CPUs ...
Oct 17 16:55:58 vault kernel: Breaking affinity for irq 0
Oct 17 16:55:58 vault kernel: CPU 1 is now offline
Oct 17 16:55:58 vault kernel: SMP alternatives: switching to UP code
Oct 17 16:56:02 vault kernel: CPU1 is down
Oct 17 16:56:02 vault kernel: Stopping tasks:
===================================================================================|
Oct 17 16:56:02 vault kernel:  usbdev4.1_ep81: PM: suspend 0->2, parent 4-0:1.0
already 1
Oct 17 16:56:02 vault kernel:  usbdev3.1_ep81: PM: suspend 0->2, parent 3-0:1.0
already 1
Oct 17 16:56:02 vault kernel:  usbdev2.1_ep81: PM: suspend 0->2, parent 2-0:1.0
already 1
Oct 17 16:56:02 vault kernel: psmouse.c: bad data from KBC - timeout bad parity
Oct 17 16:56:02 vault kernel: psmouse.c: bad data from KBC - timeout bad parity
Oct 17 16:56:02 vault kernel: pnp: Device 00:0c disabled.
Oct 17 16:56:02 vault kernel: pnp: Device 00:0a disabled.
Oct 17 16:56:02 vault kernel: pnp: Device 00:09 disabled.
Oct 17 16:56:02 vault kernel: pnp: Device 00:08 disabled.
Oct 17 16:56:03 vault kernel: ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 21
(level, low) -> IRQ 185
Oct 17 16:56:03 vault kernel: ACPI: PCI Interrupt 0000:00:09.1[B] -> GSI 22
(level, low) -> IRQ 193
Oct 17 16:56:03 vault kernel: ACPI: PCI Interrupt 0000:00:09.2[C] -> GSI 23
(level, low) -> IRQ 177
Oct 17 16:56:03 vault kernel: ACPI: PCI Interrupt 0000:02:00.0[D] -> GSI 19
(level, low) -> IRQ 201
Oct 17 16:56:03 vault kernel: ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 17
(level, low) -> IRQ 169
Oct 17 16:56:03 vault kernel: pnp: Device 00:08 activated.
Oct 17 16:56:03 vault kernel: pnp: Device 00:09 activated.
Oct 17 16:56:03 vault kernel: pnp: Device 00:0a activated.
Oct 17 16:56:03 vault kernel: pnp: Device 00:0b does not support activation.
Oct 17 16:56:03 vault kernel: pnp: Device 00:0c activated.
Oct 17 16:56:03 vault kernel: e100: eth0: e100_watchdog: link up, 100Mbps,
full-duplex
Oct 17 16:56:03 vault kernel: Restarting tasks... done
Oct 17 16:56:03 vault kernel: Enabling non-boot CPUs ...
Oct 17 16:56:03 vault kernel: SMP alternatives: switching to SMP code
Oct 17 16:56:03 vault kernel: Booting processor 1/1 eip 3000
Oct 17 16:56:03 vault kernel: CPU 1 irqstacks, hard=c07a7000 soft=c0787000
Oct 17 16:56:03 vault kernel: Initializing CPU#1
Oct 17 16:56:03 vault kernel: Calibrating delay using timer specific routine..
2822.96 BogoMIPS (lpj=5645927)
Oct 17 16:56:03 vault kernel: CPU: Vendor unknown, using generic init.
Oct 17 16:56:03 vault kernel: CPU: Your system may be unstable.
Oct 17 16:56:03 vault kernel: CPU1: AuthenticAMD AMD Athlon(TM) MP 1600+ stepping 02
Oct 17 16:56:03 vault kernel: CPU1 is up
Comment 3 Orion Poplawski 2006-12-04 12:37:43 EST
2.6.18-1.2849.fc6:

Disabling non-boot CPUs ...
Breaking affinity for irq 0
CPU 1 is now offline
SMP alternatives: switching to UP code
CPU1 is down
Stopping tasks:
===========================================================================================|
 usbdev3.1_ep81: PM: suspend 0->2, parent 3-0:1.0 already 1
 usbdev2.1_ep81: PM: suspend 0->2, parent 2-0:1.0 already 1
 usbdev1.1_ep81: PM: suspend 0->2, parent 1-0:1.0 already 1
psmouse.c: bad data from KBC - timeout bad parity
psmouse.c: bad data from KBC - timeout bad parity
pnp: Device 00:0c disabled.
pnp: Device 00:0a disabled.
pnp: Device 00:09 disabled.
pnp: Device 00:08 disabled.
ACPI: PCI interrupt for device 0000:02:08.0 disabled
ACPI: PCI interrupt for device 0000:02:04.0 disabled
ACPI: PCI interrupt for device 0000:02:00.0 disabled
ACPI: PCI interrupt for device 0000:00:09.2 disabled
ACPI: PCI interrupt for device 0000:00:09.1 disabled
ACPI: PCI interrupt for device 0000:00:09.0 disabled
Back to C!
APIC error on CPU0: 08(00)
PCI: Enabling device 0000:00:09.0 (0010 -> 0012)
ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 21 (level, low) -> IRQ 169
PCI: Enabling device 0000:00:09.1 (0010 -> 0012)
ACPI: PCI Interrupt 0000:00:09.1[B] -> GSI 22 (level, low) -> IRQ 177
PCI: Enabling device 0000:00:09.2 (0010 -> 0012)
ACPI: PCI Interrupt 0000:00:09.2[C] -> GSI 23 (level, low) -> IRQ 193
PCI: Enabling device 0000:02:00.0 (0010 -> 0012)
ACPI: PCI Interrupt 0000:02:00.0[D] -> GSI 19 (level, low) -> IRQ 185
PM: Writing back config space on device 0000:02:00.0 at offset 1 (was 2800016,
writing 2800017)
PCI: Enabling device 0000:02:04.0 (0080 -> 0081)
ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 17 (level, low) -> IRQ 201
PM: Writing back config space on device 0000:02:08.0 at offset f (was 38080100,
writing 38080106)
PM: Writing back config space on device 0000:02:08.0 at offset 6 (was 0, writing
ea800000)
PM: Writing back config space on device 0000:02:08.0 at offset 5 (was 1, writing
9001)
PM: Writing back config space on device 0000:02:08.0 at offset 4 (was 0, writing
eb000000)
PM: Writing back config space on device 0000:02:08.0 at offset 3 (was 0, writing
2008)
PM: Writing back config space on device 0000:02:08.0 at offset 1 (was 2900000,
writing 2900017)
pnp: Device 00:08 activated.
pnp: Device 00:09 activated.
pnp: Device 00:0a activated.
pnp: Device 00:0b does not support activation.
pnp: Device 00:0c activated.
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
Restarting tasks... done
Enabling non-boot CPUs ...
SMP alternatives: switching to SMP code
Booting processor 1/1 eip 3000
CPU 1 irqstacks, hard=c07b0000 soft=c0790000
Initializing CPU#1
Calibrating delay using timer specific routine.. 2822.79 BogoMIPS (lpj=1411396)
CPU: Vendor unknown, using generic init.
CPU: Your system may be unstable.
CPU: After generic identify, caps: 0383fbff c1cbfbff 00000000 00000000 00000000
00000000 00000000
CPU: After all inits, caps: 0383f3ff c1cbfbff 00000000 00000000 00000000
00000000 00000000
CPU1: AuthenticAMD AMD Athlon(TM) MP 1600+ stepping 02
CPU1 is up
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:01:05.0 into 1x mode
Comment 4 Nigel Cunningham 2006-12-04 18:35:15 EST
What wakeup methods do you have enabled? Perhaps one of them is firing 
immediately (cat /proc/acpi/wakeup).
Comment 5 Orion Poplawski 2006-12-21 15:27:38 EST
Doesn't seem to be:


cat /proc/acpi/wakeup
Device  Sleep state     Status
PCI0       4            disabled
PCI1       4            disabled
PCI2       4            disabled
UAR1       4            disabled
UAR2       4            disabled

I'll try to poke around the BIOS.
Comment 6 Nigel Cunningham 2006-12-21 17:36:26 EST
Ok.

Setting state to NEEDINFO since there's nothing more I can do to help at the 
moment.
Comment 7 Orion Poplawski 2006-12-22 13:24:06 EST
Okay, we'll just say it doesn't work.
Comment 8 Nigel Cunningham 2006-12-22 16:03:23 EST
Hmm. It does for other users though, so is likely to either a bios issue, a 
hardware issue or a driver issue. Given that you see 'Back to C', I'd think 
(without checking too closely) that the code to actually enter the 
suspend-to-ram state is executed, and so would expect one of the first two 
options to be more likely. This makes me ask whether you've checked for bios 
updates.
Comment 9 Orion Poplawski 2006-12-22 16:06:32 EST
No bios updates available.  This is an old ASUS A7M266-D board.  Latest BIOS is
from March 2003.  I disabled wake on lan and similar in the BIOS to no avail.

Note You need to log in before you can comment on or make changes to this bug.